Home » Android » Clean Blank Android App fails to build – 'failed to find Build Tools revision 23.0.0 rc1'

Clean Blank Android App fails to build – 'failed to find Build Tools revision 23.0.0 rc1'

Posted by: admin June 15, 2020 Leave a comment

Questions:

New to Android, Tried to build a clean ‘Blank App’ android project.

I get the below error, which is confusing because I have version 24 installed using the SDK manager not sure why its looking for versoin 23. It doesn’t give me any kind of line number to look at though, any suggestions? Thank you.

Configuration on demand is an incubating feature.
:app:preBuild UP-TO-DATE
:app:preDebugBuild UP-TO-DATE
:app:checkDebugManifest
:app:preReleaseBuild UP-TO-DATE
:app:prepareComAndroidSupportAppcompatV72220Library UP-TO-DATE
:app:prepareComAndroidSupportSupportV42220Library UP-TO-DATE
:app:prepareDebugDependencies
:app:compileDebugAidl FAILED

FAILURE: Build failed with an exception.

* What went wrong:
Execution failed for task ':app:compileDebugAidl'.
> aidl is missing

* Try:
Run with --stacktrace option to get the stack trace. Run with --info or --debug option to get more log output.

BUILD FAILED

Total time: 2.243 secs
Executing tasks: [:app:assembleDebug]

Configuration on demand is an incubating feature.

FAILURE: Build failed with an exception.

* What went wrong:
A problem occurred configuring project ':app'.
> failed to find Build Tools revision 23.0.0 rc1

* Try:
Run with --stacktrace option to get the stack trace. Run with --info or --debug option to get more log output.

BUILD FAILED

Total time: 1.136 secs
How to&Answers:

Open the SDK Manager and find the version of the Android SDK Build-tools which is installed and that you want to use.
Then go to Gradle Scripts > build.gradle (Module: app). Set the buildToolsVersion to your version.

Edit:
There is an easier solution. Right click on the project > Open Module Settings. Choose the Complie Sdk Version and Build Tools Version you want to use.

Answer:

If you cannot find 23.0.0 rc1 in sdk mananger, you can modify gradle’s sdk version.
How? edit build.gradle like this, and change buildToolsVersion.

android {
    compileSdkVersion 22
    buildToolsVersion "23.0.1"

    defaultConfig {
        applicationId "com.sunjiajia.androidnewwidgetsdemo"
        minSdkVersion 14
            targetSdkVersion 22
        versionCode 1
        versionName "1.0"
    }
    buildTypes {
        release {
            minifyEnabled false
            proguardFiles getDefaultProguardFile('proguard-android.txt'), 'proguard-rules.pro'
        }
    }
}

Answer:

find the BuildTools ids you want to install,

ANDROID_HOME=/Users/prayagupd/Library/Android/sdk/

$ANDROID_HOME/tools/android list sdk -a | grep "revision 23"
  10- Android SDK Build-tools, revision 23.0.3
  11- Android SDK Build-tools, revision 23.0.2
  12- Android SDK Build-tools, revision 23.0.1
  13- Android SDK Build-tools, revision 23 (Obsolete)

Then, install the buildTool version you want, eg. 23.0.1 as 23 is obsolete.

$ANDROID_HOME/tools/android update sdk -a -u -t 12

You can achieve the same thing using

$ANDROID_HOME/tools/android sdk

which will show the buildTools in UI as below,

enter image description here

Then ./gradlew clean build should be SUCCESSFUL.